"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_u_swiper2 = common_vendor.resolveComponent("u-swiper");
  const _easycom_up_notice_bar2 = common_vendor.resolveComponent("up-notice-bar");
  const _easycom_up_tabs2 = common_vendor.resolveComponent("up-tabs");
  const _easycom_up_list_item2 = common_vendor.resolveComponent("up-list-item");
  const _easycom_up_list2 = common_vendor.resolveComponent("up-list");
  const _easycom_up_empty2 = common_vendor.resolveComponent("up-empty");
  const _easycom_up_overlay2 = common_vendor.resolveComponent("up-overlay");
  (_easycom_u_swiper2 + _easycom_up_notice_bar2 + _easycom_up_tabs2 + _easycom_up_list_item2 + _easycom_up_list2 + _easycom_up_empty2 + _easycom_up_overlay2)();
}
const _easycom_u_swiper = () => "../../node-modules/uview-plus/components/u-swiper/u-swiper.js";
const _easycom_up_notice_bar = () => "../../node-modules/uview-plus/components/u-notice-bar/u-notice-bar.js";
const _easycom_up_tabs = () => "../../node-modules/uview-plus/components/u-tabs/u-tabs.js";
const _easycom_up_list_item = () => "../../node-modules/uview-plus/components/u-list-item/u-list-item.js";
const _easycom_up_list = () => "../../node-modules/uview-plus/components/u-list/u-list.js";
const _easycom_up_empty = () => "../../node-modules/uview-plus/components/u-empty/u-empty.js";
const _easycom_up_overlay = () => "../../node-modules/uview-plus/components/u-overlay/u-overlay.js";
if (!Math) {
  (_easycom_u_swiper + _easycom_up_notice_bar + _easycom_up_tabs + _easycom_up_list_item + _easycom_up_list + _easycom_up_empty + login + _easycom_up_overlay)();
}
const login = () => "../../components/login.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const $api = common_vendor.inject("$api");
    common_vendor.inject("$apifile");
    const typeList = common_vendor.ref([]);
    const config = common_vendor.ref({ icon: [], logo: [], file: [] });
    const list = common_vendor.ref([]);
    const total = common_vendor.ref(0);
    const skip = common_vendor.ref(0);
    const limit = common_vendor.ref(5);
    const page = common_vendor.ref(0);
    const is_bottom = common_vendor.ref(false);
    const subjectList = common_vendor.ref([]);
    const educationList = common_vendor.ref([]);
    const show = common_vendor.ref(false);
    const user = common_vendor.computed(() => {
      return common_vendor.index.getStorageSync("user");
    });
    common_vendor.onShow(async () => {
      await searchConfig();
      await searchOther();
      await clearPage();
      await search();
      if (!user.value)
        show.value = true;
    });
    common_vendor.onPullDownRefresh(async () => {
      await clearPage();
      await search();
      common_vendor.index.stopPullDownRefresh();
    });
    const searchConfig = async () => {
      config.value = common_vendor.index.getStorageSync("config");
    };
    const searchOther = async () => {
      let res;
      res = await $api(`dictData`, "GET", { code: "subject", is_use: "0" });
      if (res.errcode === 0)
        subjectList.value = res.data;
      subjectList.value.unshift({ label: "全部", value: "-1", is_show: true });
      res = await $api(`dictData`, "GET", { code: "education", is_use: "0" });
      if (res.errcode === 0)
        educationList.value = res.data;
      res = await $api(`dictData`, "GET", { code: "courseType", is_use: "0" });
      if (res.errcode === 0)
        typeList.value = res.data;
    };
    const search = async () => {
      const info = {
        skip: skip.value,
        limit: limit.value,
        status: "1",
        is_show: "0"
      };
      const res = await $api("teacher", "GET", info);
      if (res.errcode === 0) {
        list.value = list.value.concat(res.data);
        total.value = res.total;
      } else {
        common_vendor.index.showToast({
          title: res.errmsg || "",
          icon: "error"
        });
      }
    };
    const toTab = async (data) => {
      console.log(data);
    };
    const showChange = () => {
      show.value = false;
    };
    const toBuy = (item) => {
      console.log(item);
    };
    const scrolltolower = () => {
      if (total.value > list.value.length) {
        common_vendor.index.showLoading({
          title: "加载中",
          mask: true
        });
        page.value = page.value + 1;
        skip.value = page.value * limit.value;
        search();
        common_vendor.index.hideLoading();
      } else
        is_bottom.value = true;
    };
    const clearPage = () => {
      list.value = [];
      skip.value = 0;
      limit.value = 6;
      page.value = 0;
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.p({
          radius: 0,
          list: config.value.file,
          height: "240px",
          indicator: true,
          indicatorMode: "dot",
          circular: true
        }),
        b: config.value.notice
      }, config.value.notice ? {
        c: common_vendor.p({
          text: config.value.notice,
          duration: "3000"
        })
      } : {}, {
        d: common_vendor.f(typeList.value, (item, index, i0) => {
          return {
            a: common_vendor.n(item.remark),
            b: common_vendor.t(item.label),
            c: index
          };
        }),
        e: common_vendor.o(toTab),
        f: common_vendor.p({
          list: subjectList.value,
          keyName: "label"
        }),
        g: total.value > 0
      }, total.value > 0 ? {
        h: common_vendor.f(list.value, (item, index, i0) => {
          return common_vendor.e({
            a: item.icon && item.icon.length > 0 && item.icon
          }, item.icon && item.icon.length > 0 && item.icon ? {
            b: item.icon[0].url
          } : {
            c: config.value.icon[0].url
          }, {
            d: common_vendor.t(item.course || "暂无"),
            e: common_vendor.t(item.time || "休息中"),
            f: common_vendor.t(item.nick_name || "暂无"),
            g: common_vendor.t(item.content || "暂无"),
            h: common_vendor.t(item.money || "免费"),
            i: common_vendor.o(($event) => toBuy(item), index),
            j: index,
            k: "4978fed5-4-" + i0 + ",4978fed5-3"
          });
        }),
        i: common_vendor.o(scrolltolower)
      } : {
        j: common_vendor.p({
          mode: "list",
          icon: "/static/list.png"
        })
      }, {
        k: common_vendor.o(showChange),
        l: common_vendor.p({
          show: show.value
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-4978fed5"], ["__file", "D:/project/学吧/learn_applet/pages/home/index.vue"]]);
wx.createPage(MiniProgramPage);
